# Generated by Django 4.1.7 on 2023-06-27 13:21

from django.db import migrations, models
from enumfields.fields import EnumField

from arkindex.documents.models import ClassificationState, MetaType


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0005_path_triggers'),
    ]

    operations = [
        # Remove the two indexes on Classification.state
        migrations.AlterField(
            model_name='classification',
            name='state',
            field=EnumField(
                default=ClassificationState.Pending,
                enum=ClassificationState,
                max_length=16,
            ),
        ),
        # Remove the two indexes on ElementType.slug
        migrations.AlterField(
            model_name='elementtype',
            name='slug',
            field=models.SlugField(db_index=False),
        ),
        # Remove the LIKE index on MetaData.type, and make the regular index explicit
        # The regular index is only renamed, so to avoid recreating the index entirely, we rename ourselves
        migrations.RunSQL(
            [
                "DROP INDEX documents_metadata_type_85076e92_like;",
                "ALTER INDEX documents_metadata_type_85076e92 RENAME TO metadata_type_index;",
            ],
            reverse_sql=[
                "ALTER INDEX metadata_type_index RENAME TO documents_metadata_type_85076e92;",
                "CREATE INDEX documents_metadata_type_85076e92_like ON documents_metadata (type varchar_pattern_ops);",
            ],
            state_operations=[
                migrations.AlterField(
                    model_name='metadata',
                    name='type',
                    field=EnumField(
                        enum=MetaType,
                        max_length=50,
                    ),
                ),
                migrations.AddIndex(
                    model_name='metadata',
                    index=models.Index(
                        models.F('type'),
                        name='metadata_type_index',
                    ),
                ),
            ],
            # This can be removed by manage.py squashmigrations
            elidable=True,
        ),
    ]
