# Generated by Django 4.1.7 on 2023-06-27 13:21

from django.db import migrations, models

import arkindex.project.fields


class Migration(migrations.Migration):

    dependencies = [
        ('images', '0001_initial'),
    ]

    operations = [
        # Remove the implicit LIKE index on ImageServer.url and make the unique constraint explicit
        # We do the dropping and renaming ourselves, instead of letting Django unnecessarily drop and re-create the constraint.
        migrations.RunSQL(
            [
                "DROP INDEX images_imageserver_url_e32640ce_like;",
                "ALTER TABLE images_imageserver RENAME CONSTRAINT images_imageserver_url_key TO unique_imageserver_url;",
            ],
            reverse_sql=[
                "ALTER TABLE images_imageserver RENAME CONSTRAINT unique_imageserver_url TO images_imageserver_url_key;",
                "CREATE INDEX images_imageserver_url_e32640ce_like ON images_imageserver (url varchar_pattern_ops);",
            ],
            state_operations=[
                migrations.AlterField(
                    model_name='imageserver',
                    name='url',
                    field=arkindex.project.fields.StripSlashURLField(),
                ),
                migrations.AddConstraint(
                    model_name='imageserver',
                    constraint=models.UniqueConstraint(models.F('url'), name='unique_imageserver_url'),
                ),
            ],
            # This can be removed by manage.py squashmigrations
            elidable=True,
        ),
    ]
