SELECT "users_user"."id",
       "users_user"."password",
       "users_user"."last_login",
       "users_user"."email",
       "users_user"."display_name",
       "users_user"."transkribus_email",
       "users_user"."is_active",
       "users_user"."is_admin",
       "users_user"."verified_email",
       "users_user"."created",
       "users_user"."updated"
FROM "users_user"
WHERE "users_user"."id" = {user_id}
LIMIT 21;

SELECT "process_process"."id",
       "process_process"."created",
       "process_process"."updated",
       "process_process"."name",
       "process_process"."creator_id",
       "process_process"."corpus_id",
       "process_process"."mode",
       "process_process"."revision_id",
       "process_process"."activity_state",
       "process_process"."started",
       "process_process"."finished",
       "process_process"."farm_id",
       "process_process"."element_id",
       "process_process"."folder_type_id",
       "process_process"."element_type_id",
       "process_process"."name_contains",
       "process_process"."ml_class_id",
       "process_process"."load_children",
       "process_process"."generate_thumbnails",
       "process_process"."chunks",
       "process_process"."collection_id",
       "process_process"."use_cache",
       "process_process"."use_gpu",
       "process_process"."template_id",
       "process_process"."bucket_name",
       "process_process"."prefix",
       "process_process"."model_id",
       "process_process"."train_folder_id",
       "process_process"."validation_folder_id",
       "process_process"."test_folder_id"
FROM "process_process"
WHERE ("process_process"."corpus_id" IS NOT NULL
       AND "process_process"."id" = '{process_id}'::uuid)
LIMIT 21;

SELECT "documents_corpus"."created",
       "documents_corpus"."updated",
       "documents_corpus"."id",
       "documents_corpus"."name",
       "documents_corpus"."description",
       "documents_corpus"."top_level_type_id",
       "documents_corpus"."public",
       "documents_corpus"."indexable"
FROM "documents_corpus"
WHERE "documents_corpus"."id" = '{corpus_id}'::uuid
LIMIT 21;

SELECT 1 AS "a"
FROM "documents_element"
INNER JOIN "process_processelement" ON ("documents_element"."id" = "process_processelement"."element_id")
WHERE "process_processelement"."process_id" = '{process_id}'::uuid
LIMIT 1;

SELECT "documents_element"."id",
       "documents_element"."type_id",
       "documents_element"."name",
       "documents_element"."confidence",
       "documents_element"."image_id",
       "images_image"."width",
       "images_image"."height",
       "documents_element"."polygon"::bytea,
       "documents_element"."rotation_angle",
       "documents_element"."mirrored",
       NULLIF(CONCAT(RTRIM("images_imageserver"."url", '/'), CONCAT('/', ("images_image"."path")::varchar)), '/') AS "image_url"
FROM "documents_element"
LEFT OUTER JOIN "images_image" ON ("documents_element"."image_id" = "images_image"."id")
LEFT OUTER JOIN "images_imageserver" ON ("images_image"."server_id" = "images_imageserver"."id")
WHERE ("documents_element"."corpus_id" = '{corpus_id}'::uuid
       AND "documents_element"."corpus_id" = '{corpus_id}'::uuid)
ORDER BY "documents_element"."id" ASC
LIMIT 21
